<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
</head>

<body>

<div class="container-fluid">

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="/" th:text="#{Home}"></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  </nav>

  <div th:if="${nofiles}" class="container-fluid">
    <div class="page-template">
      <h1 th:text="#{Nothing_To_Display}"></h1>
    </div>
  </div>

  <div th:if="${!nofiles} " class="container-fluid">
    <div id="album" th:attr="class=${classAlbum}">
      <div class="container-fluid">
        <div th:if="${!filesDuplicate.isEmpty()}" class="container-fluid">
          <h1 th:text="#{Files_Duplicated}"></h1>
          <div class="row">
            <div th:each="file : ${filesDuplicate}" >
              <div class="card">
                <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                  <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                </a>
                <label class="form-check-label">
                  <p class="card-text" th:text="${file.filename}"></p>
                </label>
              </div>
            </div>
          </div>
        </div>
        <div th:if="${not #lists.isEmpty(filesInWaitingRoom)}" class="container-fluid">
          <h1 th:text="#{Files_In_Waiting_Queue}"></h1>
          <div class="row">
            <div th:each="file : ${filesInWaitingRoom}" >
              <div class="card">
                <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                  <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                </a>
                <p class="card-text" th:text="${file.filename}"></p>
              </div>
            </div>
          </div>
        </div>
        <div th:if="${!filesWithoutClusterId.isEmpty()}" class="container-fluid">
          <h1 th:text="#{Files_In_Process}"></h1>
            <div class="row">
                <div th:each="file : ${filesWithoutClusterId}" >
                    <div th:if="${not #lists.isEmpty(file.distancesToCluster)}" class="card" style="background-color: blueviolet">
                        <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                          <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                        </a>
                          <label class="form-check-label">
                            <p class="card-text" th:text="${file.filename}"></p>
                          </label>
                    </div>
                    <div th:if="${#lists.isEmpty(file.distancesToCluster)}" class="card">
                      <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                        <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                      </a>
                        <label class="form-check-label">
                          <p class="card-text" th:text="${file.filename}"></p>
                        </label>
                    </div>
                </div>
              </div>
       </div>
        <div th:if="${not #maps.isEmpty(mapClassViews)}" class="container-fluid">
           <h1 th:text="#{Sorted_Files}"></h1>
            <div class="row" th:each="classView, index: ${mapClassViews}" >
              <div class="accordion" id="accordion2">
              <div class="accordion-group">
              <div class="accordion-heading">
                <div th:if="${classView['key'] == 'zzzz_No_Named'} " class="accordion-toggle" data-toggle="collapse"  th:href="'#collapse' + ${classView['key']}" th:text="#{Unnamed}"></div>
                <div th:if="${classView['key'] != 'zzzz_No_Named'} " class="accordion-toggle" data-toggle="collapse"  th:href="'#collapse' + ${classView['key']}" th:text="${classView['key']}"></div>
              </div>
              <div th:attr="id='collapse' + ${classView['key']}" class="accordion-body collapse show">
                <div class="accordion-inner">
                <div class="row" th:each="clusterId: ${classView.value}">
                 <div th:each="file : ${clusterId.value.fileUIViews}" >
                   <div th:if="${file.clusterCenter and file.lock}" class="card" style="background-color: lightseagreen">
                     <div class="div-text" th:text="${clusterId.key}"></div>
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                       <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                     <label class="form-check-label">
                       <p class="card-text" th:text="${file.filename}"></p>
                     </label>
                   </div>
                   <div th:if="${file.clusterCenter and !file.clusterModified and !file.lock}" class="card" style="background-color: green">
                     <div class="div-text" th:text="${clusterId.key}"></div>
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                      <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                     <label class="form-check-label">
                        <p class="card-text" th:text="${file.filename}"></p>
                     </label>
                   </div>
                   <div th:if="${file.clusterCenter and file.clusterModified and !file.lock}" class="card" style="background-color: aqua">
                     <div class="div-text" th:text="${clusterId.key}"></div>
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                      <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                     <label class="form-check-label">
                       <p class="card-text" th:text="${file.filename}"></p>
                     </label>
                   </div>
                   <div th:if="${!file.clusterCenter and file.inMultiset}" class="card" style="background-color: chartreuse">
                     <div class="div-text" th:text="${clusterId.key}"></div>
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                       <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                     <label class="form-check-label">
                       <p class="card-text" th:text="${file.filename}"></p>
                     </label>
                   </div>
                   <div th:if="${!file.clusterCenter and !file.automaticInclude and !file.inMultiset}" class="card">
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                      <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                      <div class="card-block">
                          <label class="form-check-label">
                              <p class="card-text" th:text="${file.filename}"></p>
                          </label>
                      </div>
                    </div>
                   <div th:if="${file.automaticInclude}" class="card" style="background-color: orangered">
                     <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                      <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                     </a>
                     <label class="form-check-label">
                       <p class="card-text" th:text="${file.filename}"></p>
                     </label>
                   </div>
                  </div>
              </div>
              </div>
              </div>
              </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

</body>

</html>
